Bug 134946 - yum leave rpmdb locks when terminated with CTL-c
yum leave rpmdb locks when terminated with CTL-c
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-07 10:03 EDT by Tom London
Modified: 2014-01-21 17:50 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-22 14:31:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
console output of 'yum update, terminated with CTL-c, status of rpmdb locks' (18.72 KB, text/plain)
2004-10-07 10:04 EDT, Tom London
no flags Details

  None (edit)
Description Tom London 2004-10-07 10:03:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041002
Firefox/0.10.1

Description of problem:
Running off of Rawhide: 

Terminating yum with a console 'CTL-c',
yum does not clean up rpmdb locks.

Attached shows running yum, killing it
with a CTL-c, and then running
'/usr/lib/rpm/rpmdb_stat -CA' that
shows residual locks.


Version-Release number of selected component (if applicable):
yum-2.1.6-1

How reproducible:
Always

Steps to Reproduce:
1. yum update
2. kill with CTL-c
3.
    

Actual Results:  residual rpmdb locks

Expected Results:  no locks...

Additional info:
Comment 1 Tom London 2004-10-07 10:04:01 EDT
Created attachment 104892 [details]
console output of 'yum update, terminated with CTL-c, status of rpmdb locks'
Comment 2 Seth Vidal 2004-10-08 10:42:29 EDT
I'm not sure what else I can do. If the process terminates irregularly
then the locks will be out there. I'll look atexit() to see if that
can let me close out the locks but at some level, a process
terminating irregularly is going to leave some things unfinished.
Comment 3 Tom London 2005-01-22 14:23:08 EST
Seth, I'm not seeing this anymore.

Shall I close this out?

tom

Note You need to log in before you can comment on or make changes to this bug.